CreateGift:
  handler: src/gift/handler/create-gift.handler
  name: ${file(resource/index.json):gift.createGiftFunction}
  environment:
    CLIENT_TABLE: !Ref ClientsDynamoDbTable
  iamRoleStatementsInherit: true
  iamRoleStatements:
    - Effect: Allow
      Action:
        - dynamodb:UpdateItem
      Resource:
        - !GetAtt ClientsDynamoDbTable.Arn
  events:
    - sqs:
        arn:
          Fn::GetAtt: [CreateGiftQueue, Arn]

UpdateGift:
  handler: src/gift/handler/update-gift.handler
  name: ${file(resource/index.json):gift.updateGiftFunction}
  environment:
    CLIENT_TABLE: !Ref ClientsDynamoDbTable
  iamRoleStatementsInherit: true
  iamRoleStatements:
    - Effect: Allow
      Action:
        - dynamodb:UpdateItem
      Resource:
        - !GetAtt ClientsDynamoDbTable.Arn
  events:
    - sqs:
        arn:
          Fn::GetAtt: [UpdateGiftQueue, Arn]
